<?php //session_start();?>

<?php

// mysql_select_db($cfg_data,$link_vcrx);
// mysql_select_db('vcrxol_vare',$link_vcrx);
// echo date("Y-m-d H:i:s");

{
// include('../_cfg/config.php');

}

// include('php_vali1.php'); 
// include('php_gets1.php'); 
include('php_celeapi1.php'); 
// include('php_cont1.php'); 
// include('php_inve1.php'); 
// include('php_prnt1.php'); 


// GENERALES
{

function set_osver($osver1){$_SESSION['osver']=trim($osver1);}	
	
function set_ini1()
{
include('../_cfg/config.php');
// $fecha1=date('Y-m-01',strtotime ('today')); 
$fecha1=date('Y-m-01',strtotime ('-1 month')); 
	
	
$sql_pant ='update comp2,cair0 set prrta=cair_porc where cair=cair_codigo ';
$sql_pant.=' and (prrta is null or prrta=0)';
// $sql_pant.=' and fecha>="'.$fecha1.'"';
// $sql_pant.= 'and (cair is null or cair=0 or cair>10)';
$res_pant=mysql_query($sql_pant,$link_vcrx);
// echo $sql_pant;	


	
vrsetcolu('empr0','empr_website','varchar(50)');

vrsetcolu('item0','item_prop','decimal(5,2)');
vrsetcolu('comp2','prop','decimal(5,2)');

vrsetcolu('comp2','prrta','decimal(5,2)');
vrsetcolu('comp2','priva','decimal(5,2)');
	
vrsetcolu('prov2','prrta','decimal(5,2)');
vrsetcolu('prov2','priva','decimal(5,2)');
	
vrsetcolu('clie2','prrta','decimal(5,2)');
vrsetcolu('clie2','priva','decimal(5,2)');
	
vrsetcolu('vtas2','prrta','decimal(5,2)');
vrsetcolu('vtas2','priva','decimal(5,2)');
	
vrsetcolu('carr2','prrta','decimal(5,2)');
vrsetcolu('carr2','priva','decimal(5,2)');
	
vrsetcolu('clte2','prrta','decimal(5,2)');
vrsetcolu('clte2','priva','decimal(5,2)');
	
vrsetcolu('comp2','prta','X');
vrsetcolu('comp2','piva','X');
	
vrsetcolu('prov2','prta','X');
vrsetcolu('prov2','piva','X');
	
vrsetcolu('clie2','prta','X');
vrsetcolu('clie2','piva','X');
	
vrsetcolu('vtas2','prta','X');
vrsetcolu('vtas2','piva','X');
	
vrsetcolu('carr2','prta','X');
vrsetcolu('carr2','piva','X');
	
	
	
{
$cont_sql='alter table empr0 add column empr_color1 varchar(20);';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table empr0 add column empr_color2 varchar(20);';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table empr0 add column empr_color3 varchar(20);';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table acce0 add column acce_regi smallint(1);';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table empr0 add column empr_regi smallint(1);';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table enti0 add column enti_huellas varchar(10);';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table clac0 add column clac_upldfec datetime';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table enti0 add column enti_actividad varchar(200)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table enti0 add column enti_logo1 varchar(200)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

	
$cont_sql='alter table enti0 add column enti_logo2 varchar(200)';
$cont_res=mysql_query($cont_sql,$link_vcrx);
$cont_sql='alter table enti0 add column enti_logoce varchar(200)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table docu0 add column docu_ppsize char(4)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table docu0 add column docu_pporient char(1)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table docu0 add column docu_width char(4)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table docu0 add column docu_height char(4)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

$cont_sql='alter table docu0 add column docu_doble char(4)';
$cont_res=mysql_query($cont_sql,$link_vcrx);
$cont_sql='alter table docu0 add column docu_orient char(4)';
$cont_res=mysql_query($cont_sql,$link_vcrx);


$cont_sql='alter table empr0 add column empr_comp char(1)';
$cont_res=mysql_query($cont_sql,$link_vcrx);
$cont_sql='alter table empr0 add column empr_caja char(1)';
$cont_res=mysql_query($cont_sql,$link_vcrx);
$cont_sql='alter table empr0 add column empr_cont char(1)';
$cont_res=mysql_query($cont_sql,$link_vcrx);
$cont_sql='update empr0 set empr_cont=1 where empr_codigo="PCS1"';
$cont_res=mysql_query($cont_sql,$link_vcrx);
$cont_sql='alter table acce0 add column acce_crea varchar(1)';
$cont_res=mysql_query($cont_sql,$link_vcrx);

	
$sql_pant ='update inve1 set bode2=tobode where bode2 is null or bode2=""';
$res_pant=mysql_query($sql_pant,$link_vcrx);
$sql_pant ='update caja1 set caja2=tocaja where caja2 is null or caja2=""';
$res_pant=mysql_query($sql_pant,$link_vcrx);
$sql_pant ='update caja1 set ctab2=toctab where ctab2 is null or ctab2=""';
$res_pant=mysql_query($sql_pant,$link_vcrx);
$sql_pant ='update bcos1 set caja2=tocaja where caja2 is null or caja2=""';
$res_pant=mysql_query($sql_pant,$link_vcrx);
$sql_pant ='update bcos1 set ctab2=toctab where ctab2 is null or ctab2=""';
$res_pant=mysql_query($sql_pant,$link_vcrx);


$sql_pant ='update comp2,cair0 set prrta=cair_porc where cair=cair_codigo ';
$sql_pant.=' and (prrta is null or prrta=0)';
// $sql_pant.=' and fecha>="'.$fecha1.'"';
// $sql_pant.= 'and (cair is null or cair=0 or cair>10)';
$res_pant=mysql_query($sql_pant,$link_vcrx);

$sql_pant ='update comp2,cair0 set priva=0';
// $sql_pant.= 'and (prta is null or prta=0)';
$res_pant=mysql_query($sql_pant,$link_vcrx);
	
	
}

if($empr_tipo=='cont' or $empr_tipo=='pyme')
{
  $cont_sql='select * from empr0 ';
  $cont_res=mysql_query($cont_sql,$link_vcrx);
	
	$empr_caja=mysql_result($cont_res,0,'empr_caja');
	$empr_inve=mysql_result($cont_res,0,'empr_inve');
	$empr_cont=mysql_result($cont_res,0,'empr_cont');
	$empr_nomi=mysql_result($cont_res,0,'empr_nomi');

	$cont_sql='insert into docu0(docu_codigo,docu_descri,docu_tabla,docu_tipo)value("PF10","PROFORMA","clie","CLIE")';
  $cont_res=mysql_query($cont_sql,$link_vcrx);
}

vrsetcolu('inve1','bode2','varchar(4)');
vrsetcolu('caja1','caja2','varchar(4)');
vrsetcolu('caja1','ctab2','varchar(4)');
vrsetcolu('bcos1','caja2','varchar(4)');
vrsetcolu('bcos1','ctab2','varchar(4)');
	
	
$cont_sql='update empr0 set empr_idate=now()';
$cont_res=mysql_query($cont_sql,$link_vcrx);
	
	
	
}
	

function fillzero($pnum,$plong=9,$pfill="0"){return str_pad($pnum, $plong, $pfill, STR_PAD_LEFT);}

	
function loginOK()
{if($_SESSION['user_codigo']==''){return '0';}else{return '1';}}

	

	
function vali_docunume($docu="",$ptoe="",$numero="",$enti="")	
{
	include('../_cfg/config.php');
	$iddoc='000000000';
		
	if($docu==''){return $iddoc;}
	if($ptoe==''){return $iddoc;}
	if($numero==''){return $iddoc;}
	
	$tabla=r_fiel('docu',$docu,'tabla');
	$numero=str_pad(($numero*1),9,'0',STR_PAD_LEFT);
	$ptoe=str_pad(($ptoe*1),6,'0',STR_PAD_LEFT);
// 	if(($ptoe*1)>0)	{$ptoe=str_pad(($ptoe*1),6,'0',STR_PAD_LEFT);}
	
	$sql_docu ='select * from '.$tabla.'1  ';
	$sql_docu.=' where status!="X" ';
	$sql_docu.=' and docu ="'.$docu.'"';
	$sql_docu.=' and numero ="'.$numero.'"';
	$sql_docu.=' and ptoe ="'.$ptoe.'"';
	
// 	$res_docu=mysql_query($sql_docu,$link_vcrx);
	
// 	if(mysql_num_rows($res_docu)>1 and 1==2)
// 	{
// 		if(strlen($ptoe)==6){$sql_docu.=' and ptoe ="'.$ptoe.'"';}

// 		if(strlen($ptoe)==4)
// 		{
// 			if(mb_stristr('vtas.clie',$tabla)){$sql_docu.=' and ptov ="'.$ptoe.'"';}
// 			if(mb_stristr('inve.prod',$tabla)){$sql_docu.=' and bode ="'.$ptoe.'"';}
// 			if(mb_stristr('caja',$tabla)){$sql_docu.=' and caja ="'.$ptoe.'"';}
// 			if(mb_stristr('bcos',$tabla)){$sql_docu.=' and ctab ="'.$ptoe.'"';}
// 			if(mb_stristr('cbco',$tabla)){$sql_docu.=' and cbco ="'.$ptoe.'"';}
// 		}
// 		$res_docu=mysql_query($sql_docu,$link_vcrx);
// 	}	

	if(mb_stristr('FP.NP.RC.IC',substr($docu,0,2)))
	{
		if(substr($enti,0,10)!='9999999999')
		{$sql_docu.=' and enti ="'.$enti.'"';}	
	}
	$res_docu=mysql_query($sql_docu,$link_vcrx);
// echo $sql_docu;
	if(mysql_num_rows($res_docu)>0){$iddoc=mysql_result($res_docu,0,'idnum1');}
	
	return $iddoc;
	
	
}
	
	
function gath_idnum($docu,$idnum)
{
	include('../_cfg/config.php');
	$tabla=r_fiel('docu',$docu,'tabla');
	
	$sql_docu ='select * from '.$tabla.'1  ';
	$sql_docu.=' where idnum1="'.$idnum.'" ';
	$res_docu=mysql_query($sql_docu,$link_vcrx);
	ob_start();
	echo '<resultado>';
// echo $sql_docu;
	if(mysql_num_rows($res_docu)!=0)
	{
		$sql_stru1='describe '.$tabla.'1';
		$res_stru1=mysql_query($sql_stru1,$link_vcrx);
		while ($aso_stru1=mysql_fetch_assoc($res_stru1))
		{echo '<'.$aso_stru1['Field'].'>'.mysql_result($res_docu,0,$aso_stru1['Field']).'</'.$aso_stru1['Field'].'>';}
	}
	echo '</resultado>';
	$result=ob_get_clean();
	return $result;
}
	
function val_usercodigo()
{if($_SESSION['user_codigo']=='')
	{
	$expiro='*** Su sesión ha EXPIRADO ***';
	$expiro='<msgalert>'.$expiro.'</msgalert>';
	$expiro='<br>'.$expiro;
	$expiro='<b>'.$expiro.'</b	>';
	$expiro='<font color="red">'.$expiro.'</color>';
	$expiro='<a href="/">'.$expiro.'</a>';
	$expiro='<pant1>'.$expiro.'</pant1>';
	$expiro='<pant11>'.$expiro.'</pant11>';
	die($expiro);
	}
}
	

function mysql_query2($cadena)
{
	mysql_query($cadena);
	return $cadena;
}

function strtoupper2($cadena)
{
	$cadena=strtoupper($cadena);
	$cadena=str_replace('á','A',$cadena);
	$cadena=str_replace('é','E',$cadena);
	$cadena=str_replace('í','I',$cadena);
	$cadena=str_replace('ó','O',$cadena);
	$cadena=str_replace('ú','U',$cadena);
	$cadena=str_replace('ñ','Ñ',$cadena);

	$cadena=str_replace('Á','A',$cadena);
	$cadena=str_replace('É','E',$cadena);
	$cadena=str_replace('Í','I',$cadena);
	$cadena=str_replace('Ó','O',$cadena);
	$cadena=str_replace('Ú','U',$cadena);
	$cadena=str_replace('Ñ','Ñ',$cadena);

	return $cadena;
}

function strtolower2($cadena)
{
	$cadena=strtolower($cadena);
	$cadena=str_replace('Á','á',$cadena);
	$cadena=str_replace('É','é',$cadena);
	$cadena=str_replace('Í','í',$cadena);
	$cadena=str_replace('Ó','ó',$cadena);
	$cadena=str_replace('Ú','ú',$cadena);
	$cadena=str_replace('Ñ','ñ',$cadena);

	return $cadena;
}



function ucfirst2($cadena)
{
	$cadena=strtolower($cadena);
	$cadena=ucfirst($cadena);
	$cadena=str_replace('Á','á',$cadena);
	$cadena=str_replace('É','é',$cadena);
	$cadena=str_replace('Í','í',$cadena);
	$cadena=str_replace('Ó','ó',$cadena);
	$cadena=str_replace('Ú','ú',$cadena);
	$cadena=str_replace('Ñ','ñ',$cadena);
	return $cadena;
}

function ucwords2($cadena)
{
	$cadena=strtolower($cadena);
	$cadena=ucwords($cadena);
	$cadena=str_replace('Á','á',$cadena);
	$cadena=str_replace('É','é',$cadena);
	$cadena=str_replace('Í','í',$cadena);
	$cadena=str_replace('Ó','ó',$cadena);
	$cadena=str_replace('Ú','ú',$cadena);
	$cadena=str_replace('Ñ','ñ',$cadena);
	return $cadena;
}

function alltrim($cadena)
{
	$cadena=trim($cadena);
	$cadena=str_replace('  ',' ',$cadena);
	$cadena=str_replace(' ;',';',$cadena);
	$cadena=str_replace(';;',';',$cadena);
	
	$cadena=str_replace('="'."\n",'="',$cadena);
	$cadena=str_replace('}'."\n",'}',$cadena);
	$cadena=str_replace('{'."\n",'{',$cadena);
	$cadena=str_replace(')'."\n",')',$cadena);
	$cadena=str_replace('('."\n",'(',$cadena);
	$cadena=str_replace("\t","",$cadena);
	$cadena=str_replace("\n".";",";",$cadena);
// 	while(mb_stristr($cadena,"  ")){$cadena=str_replace("  "," ",$cadena);}
// 	while(mb_stristr($cadena," ;")){$cadena=str_replace(" ;",";",$cadena);}
// 	while(mb_stristr($cadena,";;")){$cadena=str_replace(";;",";",$cadena);}
// 	while(mb_stristr($cadena,"\t"."\t")){$cadena=str_replace("\t"."\t","\t",$cadena);}
// 	while(mb_stristr($cadena,"\n"."\n")){$cadena=str_replace("\n"."\n","\n",$cadena);}
	$cadena=str_replace(";"."\n",";",$cadena);
	$cadena=str_replace(";"."\t",";",$cadena);
	return $cadena;
}

	
function gen_bcod($cadena,$color='negro')
{
// 	$cadena='';
// 	include('../_cfg/config.php');
// 	$cadena=substr($cadena,0,13);
	include('php_session.php');

	$ttfont = '../_font/BarcodeFont.ttf';
	if(strlen($cadena)==13){$ttfont = '../_font/EAN13_36.ttf';}// ean 13
// 	if(strlen($cadena)==49){}// clave acceso

	$longi=strlen(trim($cadena));
	$psize=72;
	
	$alto=$psize*1.8;
	$alto=floor($alto/10)*10;
	
	$ancho=($longi*$psize/4);
	$ancho=floor($ancho/100)*100;
	
	$xaxis=10;
	$yaxis=$alto-10;

	$xfname=$rutabcod.$cadena.'.jpg';
	$gfile=$xpname.$xfname;
	
	$lienzo = imagecreatetruecolor($ancho, $alto);
	$negro = imagecolorallocate($lienzo, 0, 0, 0);
	$blanco = imagecolorallocate($lienzo, 255, 255, 255);

	imageFill($lienzo,0,0,$blanco);
	imagefttext($lienzo, $psize, 0, $xaxis, $yaxis, $negro, $ttfont,$cadena);
	imagejpeg($lienzo,$gfile);
	imagedestroy($lienzo); 
	
	return;
}
	
function captcha()
{
//  	session_start();
	
	include('../_cfg/config.php');

	$ancho=160;
	$alto=50;
	$ttfont = '../../_css/cour.ttf';
	
	$lienzo = imagecreatetruecolor($ancho, $alto);
	
	$negro = imagecolorallocate($lienzo, 0, 0, 0);
	$blanco = imagecolorallocate($lienzo, 255, 255, 255);

	$rojo = imagecolorallocate($lienzo, 255, 0, 0);
	$azul = imagecolorallocate($lienzo, 0, 0, 255);
	$azul = imagecolorallocate($lienzo, 102, 102, 255);
	
	$rosa = imagecolorallocate($lienzo, 255, 105, 180);
	$verde = imagecolorallocate($lienzo, 180, 255, 180);
	$celeste = imagecolorallocate($lienzo, 77, 195, 246);
	$amarillo = imagecolorallocate($lienzo, 255, 255, 102);
	$gris = imagecolorallocate($lienzo, 100, 100, 100);

	$fondo=imagecolorallocate($lienzo,255,255,255);
	
	ImageFill($lienzo,0,0,$fondo);

	$captcha='';
	$ang=0;
	for ($cc = 0; $cc <= 5; $cc++)
	{
		
		$lcar=rand(1,2);
		if($lcar==1){$car=rand(0,9);}
		if($lcar==2){$car=chr(rand(65,90));}
// 		if($lcar==3){$car=chr(rand(97,122));}

		$px = 15+$cc*25;
		$ang=rand(0,360);
		$ang=rand(-90,90);
// 		$ang=90;
		imagefttext($lienzo, 15, $ang, $px, 25, $negro, $ttfont,$car);
		imagefttext($lienzo, 15, $ang, $px, 25, $negro, $ttfont,$car);
		
		if($car=='0')
		{
			imagefttext($lienzo, 15, $ang, $px, 25, $negro, $ttfont,'/');
			imagefttext($lienzo, 15, $ang, $px, 25, $negro, $ttfont,'/');
		}
		if(mb_stristr('69MWmwPdNZ',$car))
		{
			imagefttext($lienzo, 15, $ang, $px, 25, $negro, $ttfont,'_');
			imagefttext($lienzo, 15, $ang, $px, 25, $negro, $ttfont,'_');
		}
		$captcha.=$car;
	}
	
	
	if(!file_exists('kapt')){mkdir('kapt');}
	
	$xpname='../../_kap/';
	$xpname='';
	$xfname='kapt/kcha'.date('s').'.jpg';
	$gfile=$xpname.$xfname;
	
// $im = imagecreatetruecolor(300, 100);
// $rojo = imagecolorallocate($im, 0xFF, 0x00, 0x00);
// $negro = imagecolorallocate($im, 0x00, 0x00, 0x00);
// imagefilledrectangle($im, 0, 0, 299, 99, $rosa);
// imagejpeg($lienzo,"demo".$vu.".png");
	imagejpeg($lienzo,$gfile);
	imagedestroy($lienzo); 

	$_SESSION['captcha']=$captcha;

// 	echo 'lib/'.$xfname;
	return 'lib/'.$xfname;	
}

function vrsetcolu($tabla,$colu,$tipo,$after="",$defa="")
{
// 		include('cfg/config.php');
	include('../_cfg/config.php');
	include('php_session.php');
	
  if (substr($tabla,-1,1)=='0')
		{if (substr($colu,4,1)!='_'){$colu=substr($tabla,0,4).'_'.substr($colu,4,20);}}

	if($tipo==='X')
  {
    $colu_sql='alter table '.$tabla.' drop column '.$colu;
    mysql_query($colu_sql,$link_vcrx);
		$colu=$after;
  }
  else
  {
    $colu_sql='alter table '.$tabla.' add column '.$colu.' '.$tipo;
    mysql_query($colu_sql,$link_vcrx);
//     if (mysql_query($colu_sql,$link_vcrx)==1){echo "\n";echo ' --> ADD OK '.$tabla.'-'.$colu;}
    if (mysql_query($colu_sql,$link_vcrx)==1)
		{}

		
    $colu_sql='alter table '.$tabla.' change column '.$colu.' '.$colu.' '.$tipo;
		if($after!="")
		{
			$sql_sche='select ordinal_position,column_type from information_schema.columns ';
			$sql_sche.='where table_schema="vcrxol_'.$cfg_empr.'"';
			$sql_sche.=' and table_name="'.$tabla.'"';
			$sql_sche.=' and column_name="'.$colu.'"';
	    $res_sche=mysql_query($sql_sche,$link_vcrx);
			$posi_colu=mysql_result($res_sche,0,'ordinal_position');
			$type_colu=mysql_result($res_sche,0,'column_type');

			$sql_sche='select ordinal_position,column_type from information_schema.columns ';
			$sql_sche.='where table_schema="vcrxol_'.$cfg_empr.'"';
			$sql_sche.=' and table_name="'.$tabla.'"';
			$sql_sche.=' and column_name="'.$after.'"';
	    $res_sche=mysql_query($sql_sche,$link_vcrx);
			$posi_after=mysql_result($res_sche,0,'ordinal_position');
			
			unset($res_sche);

			if($posi_after+1!=$posi_colu)
			{
				echo '<br>'.$tabla.'-->'.$colu.' ('.$after.')';
				$colu_sql.=' after '.$after;
			}

		};
		
    mysql_query($colu_sql,$link_vcrx);
// 			echo 'S:'.date('H:i:s',strtotime('now'));
		
    if (mysql_query($colu_sql,$link_vcrx)==1)
		{
			//echo "<br>".$tabla.'.'.$colu.'-->'; echo '  OK  ';
		}
		else
		{echo "<br>".$tabla.'.'.$colu.'-->'; echo ' *** ERROR *** '.mysql_error();}

	}

//  DEFAULT	
  if ($defa!="" )
  {
    $colu_sql='alter table '.$tabla.' alter column '.$colu.' drop default ';
    mysql_query($colu_sql,$link_vcrx);

    $colu_sql='alter table '.$tabla.' alter column '.$colu.' set  default "'.$defa.'"';
    mysql_query($colu_sql,$link_vcrx);
//       if (mysql_query($colu_sql,$link_vcrx)!=1){echo "\n";echo ' *** ERROR *** '.$colu_sql;}

    $colu_sql='update '.$tabla.' set '.$colu.'="'.$defa.'" where '.$colu.' is null or '.$colu.' =""';
    mysql_query($colu_sql,$link_vcrx);
		
//     $colu_sql='update '.$tabla.' set '.$colu.'="'.$defa.'" where '.$colu.' =""';
//     mysql_query($colu_sql,$link_vcrx);

//     $colu_sql='insert into '.$colu.'0('.$colu.'_codigo,'.$colu.'_descri)value("'.$defa.'","_DEFAULT")';
//     mysql_query($colu_sql,$link_vcrx);
//       if (mysql_query($colu_sql,$link_vcrx)==1){echo "\n";echo ' --> DEFA OK '.$tabla.'-'.$colu.'->'.$defa;}
// 		echo "\n";echo $colu_sql;
  }

  return $colu;
}

function exist_table($ptabla)
{
	include('../_cfg/config.php');
	$sql_tabla='select * from '.$ptabla.' limit 1';
	$res_tabla=mysql_query($sql_tabla,$link_vcrx);
	if(mysql_errno()==0){$exist=true;}
	else{$exist=false;}
	unset($res_tabla);
	return $exist;
}


function get_iddet($docu,$idnum)
{
	include('../_cfg/config.php');
	$tabla=r_fiel('docu',$docu,'tabla');
	$iddet=0;
	$sql_iddet='select max(iddet) as iddet from '.$tabla.'2 where idnum2 ="'.$idnum.'"';
	$res_iddet=mysql_query($sql_iddet,$link_vcrx);
	if(mysql_num_rows($res_iddet)!=0){$iddet=mysql_query($res_iddet,0,'iddet');}
	$iddet++;
	return $iddet;
}
	
	
function r_iddet($tabla,$idnum)
{
	include('../_cfg/config.php');
	$iddet=0;
	$tabla=substr($tabla,0,4);
	$sql_tabla='select max(iddet) as iddet from '.$tabla.'2 where idnum2="'.$idnum.'"';
	$res_tabla=mysql_query($sql_tabla,$link_vcrx);
	if(mysql_num_rows($res_tabla)!=0){$iddet=mysql_result($res_tabla,0,'iddet');}
	$iddet++;
	return $iddet;
}

function r_fiel($tabla,$codigo,$campo="descri",$valor="")
{
	include('../_cfg/config.php');

	if(substr($tabla,-1,1)!='0' and substr($tabla,-1,1)!='1' and substr($tabla,-1,1)!='2')
	{
		if(exist_table($tabla.'0')){$tabla.='0';}
		if(exist_table($tabla.'1')){$tabla.='1';}
		if(exist_table($tabla.'2')){$tabla.='2';}
	}
	
	$field='';
	$res_tabla='';
	if(substr($tabla,-1,1)=='0')
	{
		$prefix=substr($tabla,0,strlen($tabla)-1).'_';
		$_campo=$campo;
		if(substr($campo,0,strlen($tabla))!=$prefix){$_campo=$prefix.$campo;}
		
		if($valor=="")
		{	
			$sql_tabla='select * from '.$tabla.' where '.$prefix.'codigo="'.$codigo.'" and '.$prefix.$campo.'!="" and '.$prefix.$campo.' is not null';
			$res_tabla=mysql_query($sql_tabla,$link_vcrx);
// 			echo $sql_tabla;
			if(mysql_num_rows($res_tabla)==0)
			{
				$sql_tabla=str_replace($tabla,$tabla.'0',$sql_tabla);
				$res_tabla=mysql_query($sql_tabla,$link_vcrx);
			}

			if(!mysql_error($link_vcrx))
			{if(mysql_num_rows($res_tabla)!=0){$field=mysql_result($res_tabla,0,$_campo);}}
			
		}
		else
		{
			$sql_tabla='update '.$tabla.' set '.$_campo.'="'.$valor.'" where '.$prefix.'codigo="'.$codigo.'"';
			$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		}
	}
	
	if(substr($tabla,-1,1)=='1')
	{
		if($valor=="")
		{	
			$sql_tabla='select * from '.$tabla.' where idnum1="'.$codigo.'" and '.$campo.'!="" and '.$campo.' is not null';
			$res_tabla=mysql_query($sql_tabla,$link_vcrx);
			if(mysql_num_rows($res_tabla)==0)
			{
				$sql_tabla=str_replace($tabla,$tabla.'1',$sql_tabla);
				$res_tabla=mysql_query($sql_tabla,$link_vcrx);
			}
			if(mysql_num_rows($res_tabla)!=0){$field=mysql_result($res_tabla,0,$campo);}
		}
		else
		{
			$sql_tabla='update '.$tabla.' set '.$campo.'="'.$valor.'" where idnum1="'.$codigo.'"';
			$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		}
		
	}

	if(substr($tabla,-1,1)=='2')
	{
		if($valor=="")
		{	
			$sql_tabla='select * from '.$tabla.' where concat(idnum2,"-",iddet)="'.$codigo.'" and '.$campo.'!="" and '.$campo.' is not null';
			$res_tabla=mysql_query($sql_tabla,$link_vcrx);
			if(mysql_num_rows($res_tabla)==0)
			{
				$sql_tabla=str_replace($tabla,$tabla.'1',$sql_tabla);
				$res_tabla=mysql_query($sql_tabla,$link_vcrx);
			}
			if(mysql_num_rows($res_tabla)!=0){$field=mysql_result($res_tabla,0,$campo);}
		}
		else
		{
			$sql_tabla='update '.$tabla.' set '.$campo.'="'.$valor.'" where concat(idnum2,"-",iddet)="'.$codigo.'"';
			$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		}
		
	}

	unset($res_tabla);
	return $field;
}


}


function uplfile($pfile,$pname,$ppath,$ptype,$psize)
{

if(empty($ppath)){$ppath='uploads/';}
	
$ppath = "uploads/";
$pname = $ppath . basename($_FILES["fileToUpload"]["name"]);
$uploadOk = 1;
$imageFileType = pathinfo($pname,PATHINFO_EXTENSION);
	
// Check if image file is a actual image or fake image
if(isset($_POST["submit"])) {
    $check = getimagesize($_FILES["fileToUpload"]["tmp_name"]);
    if($check !== false) {
        echo "File is an image - " . $check["mime"] . ".";
        $uploadOk = 1;
    } else {
        echo "File is not an image.";
        $uploadOk = 0;
    }
}
	
// Check if file already exists
if (file_exists($pname)) {
    echo "Sorry, file already exists.";
    $uploadOk = 0;
}

// Check file size
if ($_FILES["fileToUpload"]["size"] > 500000) {
    echo "Sorry, your file is too large.";
    $uploadOk = 0;
}
// Allow certain file formats
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg" && $imageFileType != "gif" ) {
    echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
    $uploadOk = 0;
}
// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
    echo "Sorry, your file was not uploaded.";
// if everything is ok, try to upload file
} else {
    if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $pname)) {
        echo "The file ". basename( $_FILES["fileToUpload"]["name"]). " has been uploaded.";
    } else {
        echo "Sorry, there was an error uploading your file.";
    }
}
	
	
	
	
}

function setting0()
{
	mysql_query('update item0 set item_dcto=0 where item_dcto is null',$link_vcrx);
	mysql_query('update item0 set item_ice=0 where item_ice is null',$link_vcrx);
	mysql_query('update item0 set item_iva=0 where item_iva is null',$link_vcrx);
	mysql_query('update item0 set item_irbp=0 where item_irbp is null',$link_vcrx);
	
	mysql_query('update item0 set item_puni=0 where item_puni is null',$link_vcrx);
	mysql_query('update item0 set item_pvp=0 where item_pvp is null',$link_vcrx);
	mysql_query('update item0 set item_pvp =(item_puni*(1-item_dcto/100)*(1+item_ice/100)*(1+item_iva/100))+item_irbp where item_pvp=0',$link_vcrx);
	mysql_query('update item0 set item_puni=(item_pvp-item_irbp)/(1+item_iva/100)/(1+item_ice/100)/(1-item_dcto/100)  where item_puni=0',$link_vcrx);
}




function num2let($xcifra)
{
//------    CONVERTIR NUMEROS A LETRAS         ---------------
//------    Máxima cifra soportada: 18 dígitos con 2 decimales
//------    999,999,999,999,999,999.99
// NOVECIENTOS NOVENTA Y NUEVE MIL NOVECIENTOS NOVENTA Y NUEVE BILLONES
// NOVECIENTOS NOVENTA Y NUEVE MIL NOVECIENTOS NOVENTA Y NUEVE MILLONES
// NOVECIENTOS NOVENTA Y NUEVE MIL NOVECIENTOS NOVENTA Y NUEVE PESOS 99/100 M.N.
//------    Creada por:                        ---------------
//------             ULTIMINIO RAMOS GALÁN     ---------------
//------            uramos@gmail.com           ---------------
//------    10 de junio de 2009. México, D.F.  ---------------
//------    PHP Version 4.3.1 o mayores (aunque podría funcionar en versiones anteriores, tendrías que probar)
$xarray = array(0 => "Cero",
        1 => "UN", "DOS", "TRES", "CUATRO", "CINCO", "SEIS", "SIETE", "OCHO", "NUEVE",
        "DIEZ", "ONCE", "DOCE", "TRECE", "CATORCE", "QUINCE", "DIECISEIS", "DIECISIETE", "DIECIOCHO", "DIECINUEVE",
        "VEINTI", 30 => "TREINTA", 40 => "CUARENTA", 50 => "CINCUENTA", 60 => "SESENTA", 70 => "SETENTA", 80 => "OCHENTA", 90 => "NOVENTA",
        100 => "CIENTO", 200 => "DOSCIENTOS", 300 => "TRESCIENTOS", 400 => "CUATROCIENTOS", 500 => "QUINIENTOS",
				600 => "SEISCIENTOS", 700 => "SETECIENTOS", 800 => "OCHOCIENTOS", 900 => "NOVECIENTOS"
    );
//
//if($xmoneda=="")
//{$xmoneda="DOLAR";}

    $xcifra = trim($xcifra);
    $xlength = strlen($xcifra);
    $xpos_punto = strpos($xcifra, ".");
    $xaux_int = $xcifra;
    $xdecimales = "00";
    if (!($xpos_punto === false)) {
        if ($xpos_punto == 0) {
            $xcifra = "0" . $xcifra;
            $xpos_punto = strpos($xcifra, ".");
        }
        $xaux_int = substr($xcifra, 0, $xpos_punto); // obtengo el entero de la cifra a covertir
        $xdecimales = substr($xcifra . "00", $xpos_punto + 1, 2); // obtengo los valores decimales
    }
 
    $XAUX = str_pad($xaux_int, 18, " ", STR_PAD_LEFT); // ajusto la longitud de la cifra, para que sea divisible por centenas de miles (grupos de 6)
    $xcadena = "";
    for ($xz = 0; $xz < 3; $xz++) {
        $xaux = substr($XAUX, $xz * 6, 6);
        $xi = 0;
        $xlimite = 6; // inicializo el contador de centenas xi y establezco el límite a 6 dígitos en la parte entera
        $xexit = true; // bandera para controlar el ciclo del While
        while ($xexit) {
            if ($xi == $xlimite) { // si ya llegó al límite máximo de enteros
                break; // termina el ciclo
            }
 
            $x3digitos = ($xlimite - $xi) * -1; // comienzo con los tres primeros digitos de la cifra, comenzando por la izquierda
            $xaux = substr($xaux, $x3digitos, abs($x3digitos)); // obtengo la centena (los tres dígitos)
            for ($xy = 1; $xy < 4; $xy++) { // ciclo para revisar centenas, decenas y unidades, en ese orden
                switch ($xy) {
                    case 1: // checa las centenas
                        if (substr($xaux, 0, 3) < 100) { // si el grupo de tres dígitos es menor a una centena ( < 99) no hace nada y pasa a revisar las decenas
                             
                        } else {
                            $key = (int) substr($xaux, 0, 3);
                            if (TRUE === array_key_exists($key, $xarray)){  // busco si la centena es número redondo (100, 200, 300, 400, etc..)
                                $xseek = $xarray[$key];
                                $xsub = num2let_sf($xaux); // devuelve el num2let_sf correspondiente (Millón, Millones, Mil o nada)
                                if (substr($xaux, 0, 3) == 100)
                                    $xcadena = " " . $xcadena . " CIEN " . $xsub;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                                $xy = 3; // la centena fue redonda, entonces termino el ciclo del for y ya no reviso decenas ni unidades
                            }
                            else { // entra aquí si la centena no fue numero redondo (101, 253, 120, 980, etc.)
                                $key = (int) substr($xaux, 0, 1) * 100;
                                $xseek = $xarray[$key]; // toma el primer caracter de la centena y lo multiplica por cien y lo busca en el arreglo (para que busque 100,200,300, etc)
                                $xcadena = " " . $xcadena . " " . $xseek;
                            } // ENDIF ($xseek)
                        } // ENDIF (substr($xaux, 0, 3) < 100)
                        break;
                    case 2: // checa las decenas (con la misma lógica que las centenas)
                        if (substr($xaux, 1, 2) < 10) {
                             
                        } else {
                            $key = (int) substr($xaux, 1, 2);
                            if (TRUE === array_key_exists($key, $xarray)) {
                                $xseek = $xarray[$key];
                                $xsub = num2let_sf($xaux);
                                if (substr($xaux, 1, 2) == 20)
                                    $xcadena = " " . $xcadena . " VEINTE " . $xsub;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                                $xy = 3;
                            }
                            else {
                                $key = (int) substr($xaux, 1, 1) * 10;
                                $xseek = $xarray[$key];
                                if (20 == substr($xaux, 1, 1) * 10)
                                    $xcadena = " " . $xcadena . " " . $xseek;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " Y ";
                            } // ENDIF ($xseek)
                        } // ENDIF (substr($xaux, 1, 2) < 10)
                        break;
                    case 3: // checa las unidades
                        if (substr($xaux, 2, 1) < 1) { // si la unidad es cero, ya no hace nada
                             
                        } else {
                            $key = (int) substr($xaux, 2, 1);
                            $xseek = $xarray[$key]; // obtengo directamente el valor de la unidad (del uno al nueve)
                            $xsub = num2let_sf($xaux);
                            $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                            if(substr($xcadena,-3)=="UN "){$xcadena=trim($xcadena)."O";}
                        } // ENDIF (substr($xaux, 2, 1) < 1)
                        break;
                } // END SWITCH
            } // END FOR
            $xi = $xi + 3;
        } // ENDDO
 
        if (substr(trim($xcadena), -5, 5) == "ILLON") // si la cadena obtenida termina en MILLON o BILLON, entonces le agrega al final la conjuncion DE
            $xcadena.= " DE";
 
        if (substr(trim($xcadena), -7, 7) == "ILLONES") // si la cadena obtenida en MILLONES o BILLONES, entoncea le agrega al final la conjuncion DE
            $xcadena.= " DE";
 
        // ----------- esta línea la puedes cambiar de acuerdo a tus necesidades o a tu país -------
        if (trim($xaux) != "") {
            switch ($xz) {
                case 0:
                    if (trim(substr($XAUX, $xz * 6, 6)) == "1")
                        $xcadena.= "UN BILLON ";
                    else
                        $xcadena.= " BILLONES ";
                    break;
                case 1:
                    if (trim(substr($XAUX, $xz * 6, 6)) == "1")
                        $xcadena.= "UN MILLON ";
                    else
                        $xcadena.= " MILLONES ";
                    break;
                case 2:
                    if ($xcifra < 1) {
                        //$xcadena = "CERO PESOS $xdecimales/100 M.N.";
                        $xcadena = "CERO $xdecimales/100 ";
                    }
                    if ($xcifra >= 1 && $xcifra < 2) {
                        //$xcadena = "UN PESO $xdecimales/100 M.N. ";
                        $xcadena = "UNO  $xdecimales/100  ";
                    }
                    if ($xcifra >= 2) {
                        //$xcadena.= " PESOS $xdecimales/100 M.N. "; //
                        $xcadena.= "  $xdecimales/100  "; //
                    }
                    break;
            } // endswitch ($xz)
        } // ENDIF (trim($xaux) != "")
        // ------------------      en este caso, para México se usa esta leyenda     ----------------
        $xcadena = str_replace("VEINTI ", "VEINTI", $xcadena); // quito el espacio para el VEINTI, para que quede: VEINTICUATRO, VEINTIUN, VEINTIDOS, etc
        $xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
        $xcadena = str_replace("UN UN", "UN", $xcadena); // quito la duplicidad
        $xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
        $xcadena = str_replace("BILLON DE MILLONES", "BILLON DE", $xcadena); // corrigo la leyenda
        $xcadena = str_replace("BILLONES DE MILLONES", "BILLONES DE", $xcadena); // corrigo la leyenda
        $xcadena = str_replace("DE UN", "UN", $xcadena); // corrigo la leyenda
        //echo substr($xcadena,-2);
        //if(substr(trim($xcadena),-2)=="UN")
        //{$xcadena=$cadena."O";}
        
    } // ENDFOR ($xz)
    return trim($xcadena);
}
 
 
function num2let_sf($xx)
{ // esta función regresa un num2let_sf para la cifra
    $xx = trim($xx);
    $xstrlen = strlen($xx);
    if ($xstrlen == 1 || $xstrlen == 2 || $xstrlen == 3)
        $xsub = "";
    //
    if ($xstrlen == 4 || $xstrlen == 5 || $xstrlen == 6)
        $xsub = "MIL";
    //
    return $xsub;
}
 

function new_enti()
{
	include('../_cfg/config.php');
	$anioa=date('y');
	$sql_maes ='select max(enti_codigo) as enti_codigo from enti0 ';
	$sql_maes.='where enti_codigo like "99'.$anioa.'%" ';
	$sql_maes.='and length(trim(enti_codigo))=10';
	$res_maes=mysql_query($sql_maes,$link_vcrx);

	$newsec='0';
	if(mysql_num_rows($res_maes)!=0){$newsec=substr(mysql_result($res_maes,0,'enti_codigo'),4,5)+1;}
	$newsec=str_pad($newsec,5,'0',STR_PAD_LEFT);
	$xnewcod ='99';
	$xnewcod.=$anioa;
	$xnewcod.=$newsec;
	$xnewcod.=val_mod10($xnewcod);
// 	$xnewcod.=str_pad(date('z'),3,'0',STR_PAD_LEFT);

	$sql_maes ='insert into enti0(enti_codigo,enti_descri,enti_status,enti_iuser,enti_idate)';
	$sql_maes.='value('.$xnewcod.',"*** NUEVA ENTIDAD","-","'.$_SESSION['user_cedula'].'",now())';
	$res_maes=mysql_query($sql_maes,$link_vcrx);

// 	$sql_maes ='update enti0 set enti_zsub="'.$xnewean.'" where enti_codigo ="'.$xnewcod.'"';
	$sql_maes ='update enti0 set enti_zsub="GENE-GENE" where enti_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);

	return $xnewcod;
}

function new_item()
{
	include('../_cfg/config.php');
	
	// 98 materia prima
	// 99 bienes y servicios  ** no funka
	// 88 
	
	$anioa=date('y');
	$sql_maes ='select max(item_codigo) as item_codigo from item0 ';
// 	$sql_maes.='where item_codigo like "99'.$anioa.'%" ';
	$sql_maes.='where 1=1 ';
// 	$sql_maes.='and (item_codigo like "991%"  or item_codigo like "992%" or item_codigo like "993%") ';
	$sql_maes.='and (item_codigo like "881%"  or item_codigo like "882%" or item_codigo like "883%") ';
	$sql_maes.='and length(trim(item_codigo))=10';
	$sql_maes.='and item_status!="X"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);

  echo '*** '. $sql_maes;
  
	$newsec='0';
	if(mysql_num_rows($res_maes)!=0){$newsec=substr(mysql_result($res_maes,0,'item_codigo'),4,5)+1;}
	$newsec=str_pad($newsec,5,'0',STR_PAD_LEFT);

	
// 	echo '***'.substr(mysql_result($res_maes,0,'item_codigo'),4,5).'///';
// 	echo '***'.$newsec.'///';
	
// 	$xnewcod ='99';
	$xnewcod ='88';
	$xnewcod.=$anioa;
	$xnewcod.=$newsec;
// 	$xnewcod.=val_ean($xnewcod);
	$xnewcod.=val_mod10($xnewcod);

	$xnewean =$xnewcod.'00';
 	$xnewean.=val_ean($xnewcod);

	$sql_maes ='insert into item0(item_codigo,item_descri,item_status,item_iuser,item_idate)';
	$sql_maes.='value('.$xnewcod.',"*** NUEVO ITEM","-","'.$_SESSION['user_cedula'].'",now())';
	$res_maes=mysql_query($sql_maes,$link_vcrx);

	if(mysql_error()=="")
	{
		$sql_maes ='update item0 set item_ean="'.$xnewean.'" where item_codigo ="'.$xnewcod.'"';
		$res_maes=mysql_query($sql_maes,$link_vcrx);
		$sql_maes ='update item0 set item_codigov="'.substr($xnewcod,-6).'" where item_codigo ="'.$xnewcod.'"';
		$res_maes=mysql_query($sql_maes,$link_vcrx);
		$sql_maes ='update item0 set item_cair="312" where item_codigo ="'.$xnewcod.'"';
		$res_maes=mysql_query($sql_maes,$link_vcrx);
		$sql_maes ='update item0 set item_lsub="GENE-GENE" where item_codigo ="'.$xnewcod.'"';
		$res_maes=mysql_query($sql_maes,$link_vcrx);
		$sql_maes ='update item0 set item_mrca="GENE" where item_codigo ="'.$xnewcod.'"';
		$res_maes=mysql_query($sql_maes,$link_vcrx);
		$sql_maes ='update item0 set item_umdd="UNID" where item_codigo ="'.$xnewcod.'"';
		$res_maes=mysql_query($sql_maes,$link_vcrx);
		$sql_maes ='update item0 set item_ctainve="10103" where item_codigo ="'.$xnewcod.'"';
		$res_maes=mysql_query($sql_maes,$link_vcrx);
	}
	else
	{$xnewcod='';}
	
	return $xnewcod;
}

function new_item2($pitem,$paux='')
{
	include('../_cfg/config.php');
	$pitem=trim($pitem);
	$pitem10=substr($pitem,0,10);

	if(strlen($pitem)<10){return false;}
// 	if(substr($pitem,0,2)!='99'){return false;}
	if(substr($pitem,0,2)!='88'){return false;}
	
	if($paux=='')
	{
		$sql_item ='select * from item0 ';
		$sql_item.='where item_codigo like "'.$pitem10.'%"';
		$sql_item.='and item_status!="X"';
		$sql_item.='order by item_codigo desc';
		$res_item=mysql_query($sql_item,$link_vcrx);
		
		$paux=str_pad(substr(mysql_result($res_item,0,'item_codigo'),10,2)+1,2,'0',STR_PAD_LEFT);
	}

	$xnewcod =$pitem10.$paux;
 	$xnewean=$xnewcod.val_ean($xnewcod);
	
	$sql_maes ='insert into item0(item_codigo,item_descri,item_status,item_iuser,item_idate)';
	$sql_maes.='value('.$xnewcod.',"*** NUEVO ITEM","-","'.$_SESSION['user_cedula'].'",now())';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	
	$sql_maes ='update item0 set item_ean="'.$xnewean.'" where item_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	$sql_maes ='update item0 set item_codigov="'.substr($xnewcod,-8).'" where item_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	$sql_maes ='update item0 set item_cair="312" where item_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	$sql_maes ='update item0 set item_lsub="GENE-GENE" where item_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	$sql_maes ='update item0 set item_mrca="GENE" where item_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	$sql_maes ='update item0 set item_umdd="UNID" where item_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	$sql_maes ='update item0 set item_ctainve="10103" where item_codigo ="'.$xnewcod.'"';
	$res_maes=mysql_query($sql_maes,$link_vcrx);
	
	return $xnewcod;
}

function sub_item($pitem)
{
	$pitem=trim($pitem);
	$pitem10=substr($pitem,0,10);

	if(strlen($pitem)<10){return false;}
// 	if(substr($pitem,0,2)!='99'){return false;}
	if(substr($pitem,0,2)!='88'){return false;}
	
	$sql_item ='select * from item0 ';
	$sql_item.='where item_codigo like "'.$pitem10.'%"';
	$sql_item.='order by item_codigo ';
	$res_item=mysql_query($sql_item,$link_vcrx);
		
	$sql_updt='update item0 set item_lsub="'.mysql_result($res_item,0,'item_lsub').'" where item_codigo like "'.$pitem10.'%"';
	$res_updt=mysql_query($sql_updt,$link_vcrx);
	$sql_updt='update item0 set item_mrca="'.mysql_result($res_item,0,'item_mrca').'" where item_codigo like "'.$pitem10.'%"';
	$res_updt=mysql_query($sql_updt,$link_vcrx);
	$sql_updt='update item0 set item_umdd="'.mysql_result($res_item,0,'item_umdd').'" where item_codigo like "'.$pitem10.'%"';
	$res_updt=mysql_query($sql_updt,$link_vcrx);
	$sql_updt='update item0 set item_cair="'.mysql_result($res_item,0,'item_cair').'" where item_codigo like "'.$pitem10.'%"';
	$res_updt=mysql_query($sql_updt,$link_vcrx);
	
}


function char_escape($cadena)
{
	$cadena=str_replace('&','Y',$cadena);
// 	$cadena=str_replace('<','&lt',$cadena);
// 	$cadena=str_replace('>','&gt',$cadena);
// 	$cadena=str_replace('"','&quot',$cadena);
// 	$cadena=str_replace("'","&apos",$cadena);
	return $cadena;
	
}


function gen_usrdoc($usuario="")
{
	include('../_cfg/config.php');

	$sql_usrd='create table usrdoc1(user varchar(10)) engine=innodb';
	$res_usrd=mysql_query($sql_usrd,$link_vcrx);
	
	$colafter=vrsetcolu('usrdoc1','codigo', 'int',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','docu', 'varchar(4)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','full', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','nuev', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','modi', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','apro', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','proc', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','anul', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','elim', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','cons', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','info', 'varchar(1)',$colafter,'');
	$colafter=vrsetcolu('usrdoc1','espe', 'varchar(1)',$colafter,'');
	
	$sql_user='select * from user0,docu0 where user_tipo in ("sist","admi","supe","oper","user")';
// 	if($usuario!="")
// 	{$sql_user.=' and user_cedula="'.$usuario.'" or user_codigo="'.$usuario.'"';}
// 	$usuario=39;
	if($usuario!="")
	{$sql_user.=' and user_codigo="'.$usuario.'"';}

	$res_user=mysql_query($sql_user,$link_vcrx);
	while($aso_user=mysql_fetch_assoc($res_user))
	{
// 		$sql_acce='insert into usrdoc1(user,codigo,docu)value("'.$aso_user['user_cedula'].'","'.$aso_user['user_codigo'].'","'.$aso_user['docu_codigo'].'")';
		$sql_acce ='insert into usrdoc1(user,codigo,cedula,docu)';
		$sql_acce.='value("'.$aso_user['user_codigo'].'","'.$aso_user['user_codigo'].'","'.$aso_user['user_cedula'].'","'.$aso_user['docu_codigo'].'")';
		$res_acce=mysql_query($sql_acce,$link_vcrx);
	}
}	

function gen_acce($usuario="")
{
	include('../_cfg/config.php');
	$sql_user='select * from user0,docu0 where user_tipo in ("sist","admi","supe","oper","user")';
	if($usuario!="")
	{$sql_user.=' where user_codigo="'.$usuario.'"';}
	$res_user=mysql_query($sql_user,$link_vcrx);
	while($aso_user=mysql_fetch_assoc($res_user))
	{
		$sql_acce='insert into acce0(acce_user,acce_docu)value("'.$aso_user['user_codigo'].'","'.$aso_user['docu_codigo'].'")';
		$res_acce=mysql_query($sql_acce,$link_vcrx);
	}
}	

function num_docu($docu,$ptoe="001001")
{
	include('../_cfg/config.php');
	
	if(r_fiel('docu',$docu,'autonum')!=1){return 0;}
		 
	$fecha=date('Ymd',strtotime('360 days'));
	$numero=1;
	$tabla=r_fiel('docu',$docu,'tabla');
	$sql_nume='select max(numero) as numero from '.$tabla.'1 where docu="'.$docu.'" ptoe="'.$ptoe.'" fecha<="'.$fecha.'"';
	$res_nume=mysql_query($sql_nume,$link_vcrx);
	if(mysql_num_rows($res_nume)!=0){$numero=mysql_result($res_nume,0,'numero')+1;}
	return $numero;
}	


// 	$res_user=mysql_query($sql_user,$link_vcrx);
// 	while($aso_user=mysql_fetch_assoc($res_user))
// 	{
// 		$sql_acce='insert into usrdoc1(user,docu)value("'.$aso_user['user_cedula'].'","'.$aso_user['docu_codigo'].'")';

function updt_ipip()
{
	include('../_cfg/config.php');
	include('php_session.php');
	
	$ipip=$_SERVER['REMOTE_ADDR'];
	
	$ipip_sql='insert into ipip0(ipip_codigo,ipip_idate)value("'.$ipip.'",now())';
	$ipip_res=mysql_query($ipip_sql,$link_vcrx);
	
	$ipip_sql='update ipip0 set ';
	$ipip_sql.='ipip_user="'.$user_mail.'",';
	$ipip_sql.='ipip_descri="'.$_SERVER['REMOTE_PORT'].'",';
	$ipip_sql.='ipip_lused=now(),';
	$ipip_sql.='ipip_status=ipip_status ';
	$ipip_sql.='where ipip_codigo="'.$ipip.'"';
	$ipip_res=mysql_query($ipip_sql,$link_vcrx);
	
	$ipip_sql='update user0 set user_ip="'.$_SERVER['REMOTE_PORT'].'" where user_codigo="'.$user_codigo.'"';
	$ipip_res=mysql_query($ipip_sql,$link_vcrx);
	
	
}



function explain_sql($pstring,$para=0)
{
	include('../_cfg/config.php');
	include('php_session.php');
	
// 	if($user_tipo!='sist'){return;}
	
	$msc = microtime(true);
	
	$res_expl=mysql_query($pstring,$link_vcrx);
	$msc = microtime(true)-$msc;
	if(mysql_errno()!=0)
	{
		echo '<br>';
		echo 'ERROR : ' .mysql_error(); ;
		echo '<br>';
		echo '<br>';
		echo $pstring;
	}
	else
	{
		echo '<br>';
		echo 'QUERY : '.$pstring;
		echo '<br>';
		echo 'TIME : '.round($msc * 1000,4) . ' ms'; // in millseconds	
		echo '<br>';
		echo 'RECORDS: ' .mysql_num_rows($res_expl);


		echo '<br>';
		echo '<table>';
			echo '<tr>';
			echo '<th>'.'Id'.'</th>';
			echo '<th>'.'Select_type'.'</th>';
			echo '<th>'.'Table'.'</th>';
			echo '<th>'.'Type'.'</th>';
			echo '<th>'.'Posible_keys'.'</th>';
			echo '<th>'.'Key'.'</th>';
			echo '<th>'.'Key_len'.'</th>';
			echo '<th>'.'Ref'.'</th>';
			echo '<th>'.'Rows'.'</th>';
			echo '<th>'.'Extras'.'</th>';
			echo '</tr>';
		
		$res_expl=mysql_query('explain '.$pstring.'',$link_vcrx);
		while($aso_expl=mysql_fetch_assoc($res_expl))
		{
			echo '<tr>';
			foreach($aso_expl as $field){echo '<td>|' . htmlspecialchars($field) . '</td>';}
			echo '</tr>';
	// 		echo '<tr>';
	// 		echo '<td>'.$aso_expl['Id'].'</td>';
	// 		echo '<td>'.$aso_expl['Select_type'].'</td>';
	// 		echo '<td>'.$aso_expl['Table'].'</td>';
	// 		echo '<td>'.$aso_expl['Type'].'</td>';
	// 		echo '<td>'.$aso_expl['Posible_keys'].'</td>';
	// 		echo '<td>'.$aso_expl['Key'].'</td>';
	// 		echo '</tr>';
		}
		echo '</table>';
		
		if($para==1)
		{
		echo '<br>';
		echo '<br>';
		echo $pstring;
		}
		
	}
}	

function imgi_defa($pcodigo="")
{
	include('../_cfg/config.php');
	include('php_session.php');
// 	$ptabla=substr($pcodigo,0,4);
// 	$pcodigo=trim(substr($pcodigo,4,200));
// 	$ptabla='imgi';
	if($pcodigo==''){return;}

	$sql_defai='select * from imgi0 where imgi_codigo ="'.$pcodigo.'"';
	$res_defai=mysql_query($sql_defai,$link_vcrx);
	$pitem=trim(mysql_result($res_defai,0,'imgi_item'));
	
	$sql_defai='select * from item0 where item_codigo ="'.$pitem.'"';
	$res_defai=mysql_query($sql_defai,$link_vcrx);
	$pidem=trim(mysql_result($res_defai,0,'item_idem'));

	$sql_defai='update imgi0 set imgi_defa ="" where imgi_item like "'.$pidem.'%"';
	$res_defai=mysql_query($sql_defai,$link_vcrx);
	
	$sql_defai='update imgi0 set imgi_defa ="1" where imgi_codigo ="'.$pcodigo.'"';
	$res_defai=mysql_query($sql_defai,$link_vcrx);
	
	return;
}

function imgi_dele($pcodigo="")
{
	include('../_cfg/config.php');
	include('php_session.php');
	if($pcodigo==''){return;}

	$sql_defai='update imgi0 set imgi_status ="X" where imgi_codigo = "'.$pcodigo.'"';
	$res_defai=mysql_query($sql_defai,$link_vcrx);
	
	return;
}



function newnumdoc($docu,$ptoe="",$enti="")
{
	include('../_cfg/config.php');
	include('php_session.php');

	if(empty($docu)){return;}

	$tabla=r_fiel('docu',$docu,'tabla');
	$ptov='';
	$caja='';
	$bode='';
	
	if(empty($ptoe))
	{
		$sql_user='select * from user0 where user_codigo = "'.$user_codigo.'"' ;
		$res_user=mysql_query($sql_user,$link_vcrx);
		if(mb_stristr('FC.PF.',substr($docu,0,2)))
		{
			$ptov=mysql_result($res_user,0,'user_ptov');
			$ptoe=r_fiel('ptov',$ptov,'ptoe');
		}

		if(mb_stristr('IB.EB.',substr($docu,0,2)))
		{
			$bode=mysql_result($res_user,0,'user_bode');
			$ptoe=r_fiel('bode',$bode,'ptoe');
		}

		if(mb_stristr('IE.EE',substr($docu,0,2)))
		{
			$caja=mysql_result($res_user,0,'user_caja');
			$ptoe=r_fiel('caja',$caja,'ptoe');
		}
		
// 		if(empty($ptoe)){$ptoe='001001';}
		if(strlen(trim($ptoe))!=6){$ptoe='001001';}
	}
	
	$newnumero=1;
	$sql_docu='select max(numero) as maxnumero from '.$tabla.'1 where docu like "'.$docu.'"';
	$sql_docu.=' and ptoe="'.$ptoe.'"' ;
// 	$sql_docu.=' and fecha="'.$ptoe.'"' ;
	$res_docu=mysql_query($sql_docu,$link_vcrx);

	if(mysql_num_rows($res_docu)>0)
	{$newnumero=mysql_result($res_docu,0,'maxnumero');}
	$newnumero++;
	$newnumero=fillzero($newnumero);
	return $newnumero;
}

function ptoe_enti($docu,$ptoe="001001")
{
	include('../_cfg/config.php');
	include('php_session.php');

	if(empty($docu)){return;}
	if($docu!='FP10'){return;}

	$tabla=r_fiel('docu',$docu,'tabla');
	$ptov='';
	$caja='';
	$bode='';
	
// 	if(empty($ptoe))
// 	{
// 		$sql_user='select * from user0 where user_codigo = "'.$user_codigo.'"' ;
// 		$res_user=mysql_query($sql_user,$link_vcrx);
// 		if(mb_stristr('FC.PF.OP.NC',substr($docu,0,2)))
// 		{
// 			$ptov=mysql_result($res_user,0,'user_ptov');
// 			$ptoe=r_fiel('ptov',$ptov,'ptoe');
// 		}

// 		if(mb_stristr('IB.EB.',substr($docu,0,2)))
// 		{
// 			$bode=mysql_result($res_user,0,'user_bode');
// 			$ptoe=r_fiel('bode',$bode,'ptoe');
// 		}

// 		if(mb_stristr('IE.EE',substr($docu,0,2)))
// 		{
// 			$caja=mysql_result($res_user,0,'user_caja');
// 			$ptoe=r_fiel('caja',$caja,'ptoe');
// 		}
		
// // 		if(empty($ptoe)){$ptoe='001001';}
// 		if(strlen(trim($ptoe))!=6){$ptoe='001001';}
// 	}
	
	$newnumero='';
	$sql_docu='select docu,ptoe,enti from '.$tabla.'1 ';
// 	$sql_docu='select docu,numero,ptoe,enti,fecha,status,numero as maxnumero from '.$tabla.'1';
	$sql_docu.=' where docu like "'.$docu.'"';
	$sql_docu.=' and ptoe="'.$ptoe.'"' ;
	$sql_docu.=' and status!="X"' ;
	$sql_docu.=' order by fecha desc' ;
	$res_docu=mysql_query($sql_docu,$link_vcrx);

	if(mysql_num_rows($res_docu)>0)
	{$newnumero=mysql_result($res_docu,0,'enti');}

// 	if(mysql_num_rows($res_docu)==0)
// 	{
// 		if(mb_stristr('FC.PF.OP.NC',substr($docu,0,2)))
// 		{
// 			$sql_ptoe='select * from ptov0 where ptov_ptoe="'.$ptoe.'" ';
// 			$sql_ptoe.=' and ptov_status!="X"';
// 			$sql_ptoe.=' and ptov_status!="O"';
// 			$sql_ptoe.=' order by ptov_numero desc ';
// 			$sql_ptoe.=' and ptoe="'.$ptoe.'"' ;
// 			$res_ptoe=mysql_query($sql_ptoe,$link_vcrx);
// 			if(mysql_num_rows($res_ptoe)>0){$newnumero=mysql_result($res_ptoe,0,'numero');}
// 		}
		
// 		if(mb_stristr('IB.EB',substr($docu,0,2)))
// 		{
// 			$sql_ptoe='select * from bode0 where bode_ptoe="'.$ptoe.'" ';
// 			$sql_ptoe.=' and bode_status!="X"';
// 			$sql_ptoe.=' and bode_status!="O"';
// 			$sql_ptoe.=' order by bode_numero desc ';
// 			$sql_ptoe.=' and ptoe="'.$ptoe.'"' ;
// 			$res_ptoe=mysql_query($sql_ptoe,$link_vcrx);
// 			if(mysql_num_rows($res_ptoe)>0){$newnumero=mysql_result($res_ptoe,0,'numero');}
// 		}
		
		
// 	}
	
// 	$newnumero++;
// 	$newnumero=fillzero($newnumero);
	return $newnumero;
}



function nume_docu($docu,$ptoe="",$enti="")
{
	include('../_cfg/config.php');
	include('php_session.php');

	if(empty($docu)){return;}

	$tabla=r_fiel('docu',$docu,'tabla');
	$ptov='';
	$caja='';
	$bode='';
	
	if(empty($ptoe))
	{
		$sql_user='select * from user0 where user_codigo = "'.$user_codigo.'"' ;
		$res_user=mysql_query($sql_user,$link_vcrx);
		if(mb_stristr('FC.PF.OP.NC',substr($docu,0,2)))
		{
			$ptov=mysql_result($res_user,0,'user_ptov');
			$ptoe=r_fiel('ptov',$ptov,'ptoe');
		}

		if(mb_stristr('IB.EB.',substr($docu,0,2)))
		{
			$bode=mysql_result($res_user,0,'user_bode');
			$ptoe=r_fiel('bode',$bode,'ptoe');
		}

		if(mb_stristr('IE.EE',substr($docu,0,2)))
		{
			$caja=mysql_result($res_user,0,'user_caja');
			$ptoe=r_fiel('caja',$caja,'ptoe');
		}
		
// 		if(empty($ptoe)){$ptoe='001001';}
		if(strlen(trim($ptoe))!=6){$ptoe='001001';}
	}
	
	$newnumero=0;
	$sql_docu='select max(numero) as maxnumero from '.$tabla.'1 ';
// 	$sql_docu='select docu,numero,ptoe,enti,fecha,status,numero as maxnumero from '.$tabla.'1';
	$sql_docu.=' where docu like "'.$docu.'"';
	$sql_docu.=' and ptoe="'.$ptoe.'"' ;
	if($enti!='' and substr($enti,0,10)!='9999999999' and ($docu=='FP10' or mb_stristr('NP.RC',substr($docu,0,2))))
	{$sql_docu.=' and left(enti,10)="'.substr($enti,0,10).'"' ;}
	$sql_docu.=' and status!="X"' ;
	$sql_docu.=' order by numero desc' ;
	$res_docu=mysql_query($sql_docu,$link_vcrx);

	if(mysql_num_rows($res_docu)>0)
	{$newnumero=mysql_result($res_docu,0,'maxnumero');}

	if(mysql_num_rows($res_docu)==0)
	{
		if(mb_stristr('FC.PF.OP.NC',substr($docu,0,2)))
		{
			$sql_ptoe='select * from ptov0 where ptov_ptoe="'.$ptoe.'" ';
			$sql_ptoe.=' and ptov_status!="X"';
			$sql_ptoe.=' and ptov_status!="O"';
			$sql_ptoe.=' order by ptov_numero desc ';
			$sql_ptoe.=' and ptoe="'.$ptoe.'"' ;
			$res_ptoe=mysql_query($sql_ptoe,$link_vcrx);
			if(mysql_num_rows($res_ptoe)>0){$newnumero=mysql_result($res_ptoe,0,'numero');}
		}
		
		if(mb_stristr('IB.EB',substr($docu,0,2)))
		{
			$sql_ptoe='select * from bode0 where bode_ptoe="'.$ptoe.'" ';
			$sql_ptoe.=' and bode_status!="X"';
			$sql_ptoe.=' and bode_status!="O"';
			$sql_ptoe.=' order by bode_numero desc ';
			$sql_ptoe.=' and ptoe="'.$ptoe.'"' ;
			$res_ptoe=mysql_query($sql_ptoe,$link_vcrx);
			if(mysql_num_rows($res_ptoe)>0){$newnumero=mysql_result($res_ptoe,0,'numero');}
		}
		
		
	}
	
	$newnumero++;
	$newnumero=fillzero($newnumero);
	return $newnumero;
}


function clon_docu($docu1,$idnum,$docu2)
{
	include('../_cfg/config.php');
	include('php_session.php');

	if(empty($idnum)){return;}
	if(empty($docu1)){return;}
	if(empty($docu2)){$docu2=$docu1;}

	$sql_docu='select * from docu0 where docu_codigo like "'.$docu1.'%"' ;
	$res_docu=mysql_query($sql_docu,$link_vcrx);
	$tablao=mysql_result($res_docu,0,'docu_tabla');
		
	$sql_docu='select * from docu0 where docu_codigo like "'.$docu2.'"' ;
	$res_docu=mysql_query($sql_docu,$link_vcrx);
	$tablad=mysql_result($res_docu,0,'docu_tabla');
		
	$sql_docu1='select * from '.$tablao.'1 where idnum1="'.$idnum.'"' ;
	$res_docu1=mysql_query($sql_docu1,$link_vcrx);

	$sql_ndocu='insert into '.$tablad.'1(docu,idate)value("'.$docu2.'",now())' ;
	$res_ndocu=mysql_query($sql_ndocu,$link_vcrx);
	$idnum2=mysql_insert_id();
	
	$sql_stru1='describe '.$tablao.'1';
	$res_stru1=mysql_query($sql_stru1,$link_vcrx);
	while ($aso_stru1=mysql_fetch_assoc($res_stru1))
	{
		if($aso_stru1['Field']!='idnum1')
		{
		$sql_updt='update '.$tablad.'1 set '.$aso_stru1['Field'].'="'.mysql_result($res_docu1,0,$aso_stru1['Field']).'" where idnum1="'.$idnum2.'"';
		$res_updt=mysql_query($sql_updt,$link_vcrx);
		}
	}

	
	$sql_docu2='select * from '.$tablao.'2 where idnum2="'.$idnum.'" order by iddet' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	$crow=0;
	while ($aso_docu2=mysql_fetch_assoc($res_docu2))
	{
		$crow++;
		if($crow>1000){echo '************* BREAK'; die();}
		$sql_ndocu='insert into '.$tablad.'2(idnum2,iddet)value("'.$idnum2.'",'.$aso_docu2['iddet'].')' ;
		$res_ndocu=mysql_query($sql_ndocu,$link_vcrx);
		
		$sql_stru2='describe '.$tablao.'2';
		$res_stru2=mysql_query($sql_stru2,$link_vcrx);

		while ($aso_stru2=mysql_fetch_assoc($res_stru2))
		{
			if($aso_stru2['Field']!='idnum2')
			{
				$sql_updt='update '.$tablad.'2 set '.$aso_stru2['Field'].'="'.$aso_docu2[$aso_stru2['Field']].'" where idnum2="'.$idnum2.'" and iddet='.$aso_docu2['iddet'].'';
				$res_updt=mysql_query($sql_updt,$link_vcrx);
			}
		}
	}
	
	
	$sql_docu2='update '.$tablad.'1 set docu="'.$docu2.'" where idnum1="'.$idnum2.'"' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	
	$sql_docu2='update '.$tablad.'1 set iuser="'.$user_codigo.'" where idnum1="'.$idnum2.'"' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	
	$sql_docu2='update '.$tablad.'1 set idate=now() where idnum1="'.$idnum2.'"' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	
	$sql_docu2='update '.$tablad.'1 set idfrom="'.$idnum.'" where idnum1="'.$idnum2.'"' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	
	$sql_docu2='update '.$tablad.'1 set mdfrom="'.$tablao.'" where idnum1="'.$idnum2.'"' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	
	$sql_docu2='update '.$tablad.'1 set status="" where idnum1="'.$idnum2.'"' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	
	$sql_docu2='update '.$tablad.'1 set stfin="" where idnum1="'.$idnum2.'"' ;
	$res_docu2=mysql_query($sql_docu2,$link_vcrx);
	
	return $idnum2;	
}

function anul_docu($docu,$idnum)
{
	include('../_cfg/config.php');
	include('php_session.php');

	if(empty($idnum)){return;}
	if(empty($docu)){return;}
	
	$tabla=strtolower(r_fiel('docu',$docu,'tabla')).'1';
	$sql_dele='select * from '.$tabla.' where idnum1="'.$idnum.'"';
	$res_dele=mysql_query($sql_dele,$link_vcrx);
	if(mysql_num_rows($res_dele)==1)
	{
		$numero=mysql_result($res_dele,0,'numero');
		$msgalert='<div style="display:none;">';
		$msgalert.='<msgalert>';
		if(!mb_stristr('RX',mysql_result($res_dele,0,'status')))
		{
			$sql_dele='update '.$tabla.' set status="O" where idnum1="'.$idnum.'"';
			$res_dele=mysql_query($sql_dele,$link_vcrx);
			$sql_dele='update '.$tabla.' set odate="'.$user_codigo.'" where idnum1="'.$idnum.'"';
			$res_dele=mysql_query($sql_dele,$link_vcrx);
			$sql_dele='update '.$tabla.' set ouser="'.$user_codigo.'" where idnum1="'.$idnum.'"';
			$res_dele=mysql_query($sql_dele,$link_vcrx);
			$msgalert.='DOCUMENTO '.$docu.'-'.$numero.' ANULADO';
		}
		else
		{$msgalert.='DOCUMENTO '.$docu.'-'.$numero.' NO PUEDE SER ANULADO';}
		$msgalert.='</msgalert>';
		$msgalert.='</div>';
		echo $msgalert;
	}
}

function elim_docu($docu,$idnum)
{
	include('../_cfg/config.php');
	include('php_session.php');

	if(empty($idnum)){return;}
	if(empty($docu)){return;}
	
	$tabla=strtolower(r_fiel('docu',$docu,'tabla')).'1';
	$sql_dele='select * from '.$tabla.' where idnum1="'.$idnum.'"';
	$res_dele=mysql_query($sql_dele,$link_vcrx);
	if(mysql_num_rows($res_dele)==1)
	{
		$numero=mysql_result($res_dele,0,'numero');
		$msgalert='<div style="display:none;">';
		$msgalert.='<msgalert>';
		if(!mb_stristr('R',mysql_result($res_dele,0,'status')))
		{
			$sql_dele='update '.$tabla.' set status="X" where idnum1="'.$idnum.'"';
			$res_dele=mysql_query($sql_dele,$link_vcrx);
			$sql_dele='update '.$tabla.' set odate="'.$user_codigo.'" where idnum1="'.$idnum.'"';
			$res_dele=mysql_query($sql_dele,$link_vcrx);
			$sql_dele='update '.$tabla.' set ouser="'.$user_codigo.'" where idnum1="'.$idnum.'"';
			$res_dele=mysql_query($sql_dele,$link_vcrx);
			$msgalert.='DOCUMENTO '.$docu.'-'.$numero.' ELIMINADO';
		}
		else
		{$msgalert.='DOCUMENTO '.$docu.'-'.$numero.' PROCESADO NO PUEDE SER ELIMINADO';}
		$msgalert.='</msgalert>';
		$msgalert.='</div>';
		echo $msgalert;
		
	}
}


function updt_userenti($enti,$overw=0)
{
	include('../_cfg/config.php');
	include('php_session.php');
	$overw=1;

	$sql_orig ='update enti0 left join user0 on left(enti_codigo,10)=left(user_cedula,10) ';
	$sql_orig.='set enti_columna1=user_columna1 ';
	$sql_orig.='where 1=1 ';
	if($overw==0)
	{$sql_orig.='and (enti_columna1="" or enti_columna1 is null or enti_columna1 like "NUEV%") ';}
	$sql_orig.='and enti_codigo like "'.substr($enti,0,10).'%"';

	$sql_user=str_replace('columna1','telefono',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','celular',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','referidox',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','calle1',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','calle2',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','calle3',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','callen',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','telefono',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','pais',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','ciudad',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user=str_replace('columna1','postal',$sql_orig);
	$res_user=mysql_query($sql_user,$link_vcrx);
	
	$sql_user ='update enti0 set enti_direccion=concat(enti_calle1," /",enti_calle2," (",enti_callen,")")';
	$sql_user.='where 1==1 ';
	if($overw==0)
	{$sql_user.='and (enti_direccion="" or enti_direccion is null) ';}
	$sql_user.='and enti_codigo like "'.substr($enti,0,10).'%"';
	$res_user=mysql_query($sql_user,$link_vcrx);
	

}



?>


<?php

function regi_user($tipo,$email,$clave)
{
	include('../_cfg/config.php');
// 	include('php_gene1.php'); 
	
	if(!val_email($email)){return '*** E-Mail NO VALIDO ***';}
	
	$nickname=substr($email,0,strpos($email,'@')); 
	$domain=substr($email,strpos($email,'@')+1); 
	$pin=rand(100000,999999);

	$emailbcc='vicore@hotmail.com';
	if($cfg_empr=='gmny'){$emailbcc='germanyasa2020@hotmail.com,vicore@hotmail.com';}
	if($cfg_empr=='gnya'){$emailbcc='germanyasa2020@hotmail.com,vicore@hotmail.com';}
	$headers = 'MIME-Version: 1.0' . "\r\n";
	$headers.= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
	$headers.= 'From: VCRXOL.COM - '.$cfg_descri.' <'.$cfg_sopor.'>'. "\r\n";
	$headers.= 'Bcc:'.$emailbcc. "\r\n";
	$headers.= 'Return-Path: Soporte '.$cfg_descri.' {'.$cfg_sopor.'};';
?>

<?php	
	if($tipo=='registra' and $clave!="")
	{
		if(strlen($clave)<8){return 'Clave debe tener MINIMO 8 Caracteres';}

		$sql_regis='select * from user0 where user_email="'.$email.'"';
		$res_regis=mysql_query($sql_regis,$link_vcrx);
		if(mysql_num_rows($res_regis)!=0){echo 'E-Mail YA CONFIRMADO'; return;}

		$sql_regis='select * from usrt0 where usrt_email="'.$email.'"';
		$res_regis=mysql_query($sql_regis,$link_vcrx);
		if(mysql_num_rows($res_regis)!=0){echo 'E-Mail YA REGISTRADO'; return;}

		$sql_regis='insert into usrt0(usrt_email,usrt_idate,usrt_status)value("'.$email.'",now(),"-")';
		$res_regis=mysql_query($sql_regis,$link_vcrx);

		$sql_regis ='update usrt0 set ';
		$sql_regis.='usrt_descri="'.$nickname.'",';
		$sql_regis.='usrt_email="'.$email.'",';
		$sql_regis.='usrt_nickname="'.$nickname.'",';
		$sql_regis.='usrt_pin="'.$pin.'",';
		$sql_regis.='usrt_clave=md5("'.$clave.'"),';
		$sql_regis.='usrt_tipo="invi",';
		$sql_regis.='usrt_status=usrt_status ';
		$sql_regis.='where usrt_email="'.$email.'"';
		$res_regis=mysql_query($sql_regis,$link_vcrx);
?>
		<?php $subject='Registro de Usuario en '.$cfg_descri; ?>
		<?php ob_start() ?>
		<html>
		<head>
				<title><?php echo  'Registro de Usuario en '.$cfg_descri; ?></title>
		</head>
		<div>
			<?php echo 'Registro de Usuario en '.$cfg_descri; ?>
		</div>
		<hr>
		<div>
			<?php echo 'Usted se ha registrado en nuestro sistema, para activar su registro de click en el siguiente enlace :';?>
			<br>
			<a href="<?php echo 'http://'.$cfg_empr;?>.vcrxol.com?regis=confirma&email=<?php echo $email;?>&codigo=<?php echo $pin; ?>">
			<?php echo 'CODIGO DE CONFIRMACION '.$pin; ?>
			</a>
		</div>
		<br>
		<div>
			<?php echo 'Si el enlace no funciona, copie y pegue el siguiente enlace en su navegador:';?>
			<br>
			<?php echo $cfg_empr.'.vcrxol.com?regis=confirma&email='.$email.'&codigo='.$pin; ?>
		</div>
		<br>
		<br>
		<div>
			<?php echo 'Si ustde no ha solicitado este registro, ignore este mensaje';?>
		</div>
		<div>
			<?php echo 'Fecha : '.date('d/M/Y - H:i:s',strtotime('now'));?>
		</div>
		</html>
		<?php $docuhtml = ob_get_clean(); ?>
		<?php $docuhtml=alltrim($docuhtml); ?>
		<?php $mailok=mail($email,$subject,$docuhtml,$headers); ?>
<?php		
	}
?>


<?php	
	if($tipo=='confirma' and $clave!="")
	{
		$sql_regis='select * from user0 where user_email="'.$email.'"';
		$res_regis=mysql_query($sql_regis,$link_vcrx);
		if(mysql_num_rows($res_regis)!=0)
		{
			if($clave==mysql_result($res_regis,0,'user_pin'))
			{
				$sql_confi ='update user0 set ';
				$sql_confi.='user_clave=user_clave2,';
				$sql_confi.='user_pin="",';
				$sql_confi.='user_status=user_status ';
				$sql_confi.='where user_email="'.$email.'"';
				$res_confi=mysql_query($sql_confi,$link_vcrx);
				echo '<a href="/?usuario='.$email.'">';
				echo 'Cambio de Clave ACEPTADA';
				echo '</a>';
				
		?>
		<?php $subject='Cambio de Clave ACEPTADA en '.$cfg_descri; ?>
		<?php ob_start() ?>
		<html>
		<head>
				<title><?php echo  'Cambio de Clave ACEPTADA en '.$cfg_descri; ?></title>
		</head>
		<div>
			<?php echo 'Cambio de Clave ACEPTADA en '.$cfg_descri; ?>
		</div>
			<hr>
		<div>
			<?php echo 'Usted ha cambiado la clave en nuestro sistema.';?>
			<br>
			</a>
		</div>
			<br>
		<div>
			<?php echo 'Fecha : '.date('d/M/Y - H:i:s',strtotime('now'));?>
		</div>
		</html>
		<?php $docuhtml = ob_get_clean(); ?>
		<?php $docuhtml=alltrim($docuhtml); ?>
<?php		$mailok=mail($email,$subject,$docuhtml,$headers); ?>
<?php
			}
			else
			{
				echo 'Código de Confirmación INCORRECTO';
				return;
			}
		}
		else
		{
			$sql_regis='select * from usrt0 where usrt_email="'.$email.'"';
			$res_regis=mysql_query($sql_regis,$link_vcrx);

			if(mysql_num_rows($res_regis)==0){echo  'E-Mail NO REGISTRADO'; return;}
			if($clave!=mysql_result($res_regis,0,'usrt_pin')){echo 'Código de Confirmación INCORRECTO';return;}
	
			if($clave==mysql_result($res_regis,0,'usrt_pin'))
			{
				// confirmando
				$sql_confi='insert into user0(user_email)value("'.$email.'")';
				$res_confi=mysql_query($sql_confi,$link_vcrx);
				
				$sql_confi ='update user0 set ';
				$sql_confi.='user_descri="'.$nickname.'",';
				$sql_confi.='user_nickname="'.$nickname.'",';
				$sql_confi.='user_clave="'.mysql_result($res_regis,0,'usrt_clave').'",';
				$sql_confi.='user_pin="",';
				$sql_confi.='user_tipo="invi",';
				$sql_confi.='user_status=user_status ';
				$sql_confi.='where user_email="'.$email.'"';
				$res_confi=mysql_query($sql_confi,$link_vcrx);

				$sql_confi ='update usrt0 set ';
				$sql_confi.='usrt_pin="",';
				$sql_confi.='usrt_status=usrt_status ';
				$sql_confi.='where usrt_email="'.$email.'"';
				$res_confi=mysql_query($sql_confi,$link_vcrx);

				
				echo '<a href="/?usuario='.$email.'">';
				echo 'Registro de '.$email.' CONFIRMADO';
				echo '</a>';
				return;
			}
		}
	}
?>

<?php
	if($tipo=='restaura' and $clave!="")
	{
		if(strlen($clave)<8){return 'Clave debe tener MINIMO 8 Caracteres';}

		$sql_regis='select * from user0 where user_email="'.$email.'"';
		$res_regis=mysql_query($sql_regis,$link_vcrx);
		if(mysql_num_rows($res_regis)==0){ echo 'E-Mail NO CONFIRMADO'; return;}
		else
		{
			{
				$sql_regis ='update user0 set ';
				$sql_regis.='user_clave2=md5("'.$clave.'"),';
				$sql_regis.='user_pin="'.$pin.'",';
				$sql_regis.='user_status=user_status ';
				$sql_regis.='where user_email="'.$email.'"';
				$res_regis=mysql_query($sql_regis,$link_vcrx);
			?>
		<?php $subject='Solicitud de Cambio de Clave en '.$cfg_descri; ?>
		<?php ob_start() ?>
		<html>
		<head>
				<title><?php echo  'Solicitud de Cambio de Clave en '.$cfg_descri; ?></title>
		</head>
		<div>
			<?php echo 'Solicitud de Cambio de clave en '.$cfg_descri; ?>
		</div>
		<hr>
		<div>
			<?php echo 'Usted ha solicitado un Cambio de Clave en nuestro sistema, para activar su nueva clave de click en el siguiente enlace :';?>
		<br>
			<a href="<?php echo 'http://'.$cfg_empr;?>.vcrxol.com?regis=confirma&email=<?php echo $email;?>&codigo=<?php echo $pin; ?>">
			<?php echo 'CODIGO DE CONFIRMACION '.$pin; ?>
			</a>
		</div>
		<br>
		<div>
			<?php echo 'Si el enlace no funciona, copie y pegue el siguiente enlace en su navegador:';?>
		<br>
			<?php echo $cfg_empr.'.vcrxol.com?regis=confirma&email='.$email.'&codigo='.$pin; ?>
		</div>
		<br>
		<br>
		<div>
			<?php echo 'Si ustde NO ha solicitado cambio de clave, IGNORE este mensaje';?>
		</div>
		<div>
			<?php echo 'Fecha : '.date('d/M/Y - H:i:s',strtotime('now'));?>
		</div>
		</html>
		<?php $docuhtml = ob_get_clean(); ?>
		<?php $docuhtml=alltrim($docuhtml); ?>
		<?php $mailok=mail($email,$subject,$docuhtml,$headers); ?>
<?php
			}
		}
?>
<?php		
	}
?>

<?php
	if($clave!="")
	{
		if($mailok)
		{
			echo '<div style="display:none;">';
			echo '<msgalert>';
			echo 'SE HA ENVIADO UN MAIL DE CONFIRMACION A : '.$email;
			echo "\n".'</msgalert>';
			echo '<br>';
			echo '<domain>';
			echo 'http://'.$domain;
			echo '</domain>';
			echo '</div>';
		}
		else
		{
			echo '<div style="display:none;">';
			echo '<msgalert>';
			echo 'ERROR AL ENVIAR CONFIRMACION A: '.$email;
			echo "\n".'</msgalert>';
			echo '</div>';
		}
	}
?>

<?php } 

?>


